## code-saturne 5.2.0+repack

=== debian/changelog ===
code-saturne (5.2.0+repack-1build2) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:30:27 +0000

code-saturne (5.2.0+repack-1build1) cosmic; urgency=medium

  * No-change rebuild against openmpi 3

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 May 2018 10:33:01 +0000

code-saturne (5.2.0+repack-1) unstable; urgency=medium

  * Repack upstream tarball to drop generated documentation and translation
  * Fix python modules integration
  * Update debian/copyright

 -- Gilles Filippini <pini@debian.org>  Mon, 16 Apr 2018 23:44:39 +0200

code-saturne (5.2.0-1) experimental; urgency=medium

  * New upstream version
  * Upstream moved to github
  * Configure dh_autoreconf to use /sbin/bootstrap
  * Drop patch format-not-a-string-literal-and-no-format-arguments.patch
    (fixed upstream)

  * debian/control: make Vcs-* fields point to salsa.debian.org
  * debian/compat: bump compat level to 9

 -- Gilles Filippini <pini@debian.org>  Sun, 15 Apr 2018 22:41:40 +0200

code-saturne (5.1.3+repack-1) experimental; urgency=medium

  * New upstream release
  * code-saturne-include: Recommends: python

 -- Gilles Filippini <pini@debian.org>  Sat, 17 Feb 2018 23:12:49 +0100

code-saturne (5.1.1+repack-1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * Remove myself from the uploaders

  [ Gilles Filippini ]
  * New upstream release
  * Do not remove icons from tango-icon-theme anymore since their Public
    Domain status has been acknowledged
  * Update debian/copyright accordingly
  $ Remove doxygen-typo.patch (fixed upstream)

 -- Gilles Filippini <pini@debian.org>  Thu, 21 Dec 2017 22:13:03 +0100

code-saturne (5.1.0+repack-1) experimental; urgency=medium

  * New upstream release
  * New patches:
    - format-not-a-string-literal-and-no-format-arguments.patch: fix FTBFS
    - doxygen-typo.patch: fix a typo in doxygen text
  * Use public domain icons from package tango-icon-theme instead of
    upstream's old copy of a DFSG incompatible Tango release covered by
    CC-BY-SA 2.5
  * debian/copyright: machine readable copyright format

 -- Gilles Filippini <pini@debian.org>  Sat, 16 Dec 2017 11:12:34 +0100
