## code-saturne 5.2.1+repack

=== debian/changelog ===
code-saturne (5.2.1+repack-1build1) disco; urgency=medium

  * Rebuild against new libhdf5-103.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Dec 2018 11:41:13 +0100

code-saturne (5.2.1+repack-1) unstable; urgency=medium

  * New upstream version

 -- Gilles Filippini <pini@debian.org>  Tue, 09 Oct 2018 00:28:36 +0200
