## code-saturne 5.3.1+repack

=== debian/changelog ===
code-saturne (5.3.1+repack-5) unstable; urgency=medium

  * Use dh sequencer instead of cdbs
  * Compat level 11
  * code-saturne-doc: install ple documentation
  * Reproducible builds:
    - Disable rpath at build time
    - Set the pdf date after SOURCE_DATE_EPOCH
    - Drop dpkg-buildflags from ple-config and cs_config.py
    - Build path cleanup in the generated documentation

 -- Gilles Filippini <pini@debian.org>  Wed, 16 Jan 2019 11:12:18 +0100

code-saturne (5.3.1+repack-4) unstable; urgency=medium

  * New patch to fix MPI detection: configure should fail when MPI
    support is explicitly requested and MPI is not found.

 -- Gilles Filippini <pini@debian.org>  Sun, 06 Jan 2019 16:08:08 +0100

code-saturne (5.3.1+repack-3) unstable; urgency=medium

  * Fix MPI detection

 -- Gilles Filippini <pini@debian.org>  Sun, 06 Jan 2019 01:03:06 +0100

code-saturne (5.3.1+repack-2) unstable; urgency=medium

  * Move syrthes to Suggests from Recommends as this package won't make
    it in Buster
  * Bump Standards-Version to 4.3.0 (no changes)

 -- Gilles Filippini <pini@debian.org>  Wed, 26 Dec 2018 19:11:49 +0100

code-saturne (5.3.1+repack-1) unstable; urgency=medium

  * New upstream version

 -- Gilles Filippini <pini@debian.org>  Fri, 14 Dec 2018 07:37:09 +0100
