=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gilles Filippini <pini@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, cdbs, python-qt4,
+Build-Depends: debhelper (>= 11), dh-exec, dh-python, python-qt4,
  pyqt4-dev-tools, fig2ps, gfortran, autoconf,
  texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra,
 # To build from upstream SVN source
@@ -11,9 +11,8 @@
 # To help the configure detection on cs lib
   zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.3.0~), mpi-default-dev, libmedc-dev,
   libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
-  chrpath, python, libscotch-dev, dh-autoreconf,
-  tango-icon-theme, dh-python
-Standards-Version: 3.9.7
+  python, libscotch-dev, tango-icon-theme
+Standards-Version: 4.3.0
 Homepage: http://www.code-saturne.org/
 Vcs-Git: https://salsa.debian.org/science-team/code-saturne.git
 Vcs-Browser: https://salsa.debian.org/science-team/code-saturne
@@ -25,7 +24,8 @@
  code-saturne-bin (= ${binary:Version}),
  code-saturne-data (= ${source:Version}),
  code-saturne-include (= ${binary:Version}), python-qt4
-Recommends: syrthes, bash-completion, paraview, pdf-viewer, code-saturne-doc
+Recommends: bash-completion, paraview, pdf-viewer, code-saturne-doc
+Suggests: syrthes
 Description: General purpose Computational Fluid Dynamics (CFD) software
  The basic capabilities of Code_Saturne enable the handling of either
  incompressible or expandable flows with or without heat transfer and
