## code-saturne 5.3.2+repack

=== debian/changelog ===
code-saturne (5.3.2+repack-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied upstream:
    - fix-doxygen-conf.patch
    - fix-autoconf-mpi.patch
  * d/rules: update clean target

 -- Gilles Filippini <pini@debian.org>  Sat, 02 Feb 2019 16:43:25 +0100

code-saturne (5.3.1+repack-8) unstable; urgency=medium

  * New patch fix-doxygen-conf.patch to avoid full source path remaining
    into the doxygen generated documentation
  * Fix double doc install

 -- Gilles Filippini <pini@debian.org>  Sun, 20 Jan 2019 00:30:43 +0100

code-saturne (5.3.1+repack-7) unstable; urgency=medium

  * dedian/rules:
    - Use /bin/echo to generate epoch.tex, to achieve the same behavior
      whatever the default shell is
    - Separate targets for arch independent builds

 -- Gilles Filippini <pini@debian.org>  Thu, 17 Jan 2019 23:26:22 +0100

code-saturne (5.3.1+repack-6) unstable; urgency=medium

  * Fix FTBFS when building architecture specific packages only

 -- Gilles Filippini <pini@debian.org>  Wed, 16 Jan 2019 15:02:10 +0100
