=== debian/rules ===
--- 
+++ 
@@ -19,14 +19,9 @@
 override_dh_auto_clean:
 	dh_auto_clean -- distclean
 	rm -f debian/epoch.tex
-	rm -f src/apps/cs_solver
 	cd libple/po && rm -f *.gmo *.pot stamp-po
 	cd po && rm -f *.gmo *.pot stamp-po
-	rm -f src/base/cdomod.mod
-	rm -f src/user_examples/user_module.mod
 	rm -fr libple/build-aux
-	# Uncomment when testing two builds in a row
-	#echo "abort-on-upstream-changes" >debian/source/local-options
 
 override_dh_autoreconf:
 	dh_autoreconf sbin/bootstrap
@@ -37,15 +32,24 @@
 	sed -i $(foreach flags,CFLAGS CXXFLAGS CPPFLAGS FCFLAGS LDFLAGS,-e '/^build_$(shell echo $(flags) | tr A-Z a-z)=/s/$(shell dpkg-buildflags --get $(flags) | sed 's:/:\\/:g')//') \
 	  libple/ple-config
 
-override_dh_auto_build-indep:
-	$(MAKE) -C libple doc
+override_dh_auto_build-arch:
+	dh_auto_build
+
+override_dh_auto_build-indep: override_dh_auto_build-arch
 	# Force source date in pdf (instead of compile date)
-	echo "$(shell date -d@$(SOURCE_DATE_EPOCH) "+\year=%Y\n\month=%m")" >debian/epoch.tex
-	$(MAKE) html
-	$(MAKE) pdf
+	/bin/echo -e "$(shell date -d@$(SOURCE_DATE_EPOCH) "+\year=%Y\n\month=%m")" >debian/epoch.tex
+	dh_auto_build -- doc
 
-override_dh_auto_install:
-	dh_auto_install -- install install-doc
+override_dh_auto_install-arch:
+	dh_auto_install
+	# Restore self.rpath in cs_config.py
+	sed -i 's/self\.rpath = "" #/self.rpath =/' debian/tmp/usr/lib/python*/dist-packages/code_saturne/cs_config.py
+	# Drop dpkg-buildflags from cs_config.py
+	sed -i $(foreach flags,CFLAGS CXXFLAGS CPPFLAGS FCFLAGS LDFLAGS,-e "/'$(shell echo $(flags) | tr A-Z a-z)':/s/$(shell dpkg-buildflags --get $(flags) | sed 's:/:\\/:g')//") \
+	  debian/tmp/usr/lib/python*/dist-packages/code_saturne/cs_config.py
+
+override_dh_auto_install-indep: override_dh_auto_install-arch
+	$(MAKE) install-doc DESTDIR=$(CURDIR)/debian/tmp
 	# Fix location of the ple doc and fix paths
 	mv debian/tmp/usr/share/doc/ple/doxygen debian/tmp/usr/share/doc/code_saturne/doxygen/ple
 	sed -i 's:$(CURDIR)/docs/doxygen/ple.tag:/usr/share/doc/code-saturne/doxygen/ple/ple.tag:' debian/tmp/usr/share/doc/code_saturne/doxygen/src/html/index.html
@@ -54,11 +58,6 @@
 	  -exec sed -i 's:/usr/share/doc/ple/doxygen:/usr/share/doc/code-saturne/doxygen/ple:g' {} \; \
 	  -print
 	sed -i 's:$(CURDIR)/::g' debian/tmp/usr/share/doc/code_saturne/doxygen/ple/ple.tag
-	# Restore self.rpath in cs_config.py
-	sed -i 's/self\.rpath = "" #/self.rpath =/' debian/tmp/usr/lib/python*/dist-packages/code_saturne/cs_config.py
-	# Drop dpkg-buildflags from cs_config.py
-	sed -i $(foreach flags,CFLAGS CXXFLAGS CPPFLAGS FCFLAGS LDFLAGS,-e "/'$(shell echo $(flags) | tr A-Z a-z)':/s/$(shell dpkg-buildflags --get $(flags) | sed 's:/:\\/:g')//") \
-	  debian/tmp/usr/lib/python*/dist-packages/code_saturne/cs_config.py
 
 override_dh_install-arch:
 	dh_install -a
