## code-saturne 5.3.3+repack

=== debian/changelog ===
code-saturne (5.3.3+repack-2) unstable; urgency=medium

  * Fix FTBFS against GCC-9 (closes: #925654)

 -- Gilles Filippini <pini@debian.org>  Sat, 17 Aug 2019 14:32:51 +0200

code-saturne (5.3.3+repack-1) unstable; urgency=medium

  * New upstream release

 -- Gilles Filippini <pini@debian.org>  Mon, 12 Aug 2019 17:38:27 +0200

code-saturne (5.3.2+repack-2) unstable; urgency=medium

  * Fix dpkg-buildflags substitution for cs_config.py (closes: #925188)

 -- Gilles Filippini <pini@debian.org>  Sat, 23 Mar 2019 21:52:01 +0100
