=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	# Restore self.rpath in cs_config.py
 	sed -i 's/self\.rpath = "" #/self.rpath =/' debian/tmp/usr/lib/python*/dist-packages/code_saturne/cs_config.py
 	# Drop dpkg-buildflags from cs_config.py
-	sed -i $(foreach flags,CFLAGS CXXFLAGS CPPFLAGS FCFLAGS LDFLAGS,-e "/'$(shell echo $(flags) | tr A-Z a-z)':/s/$(shell dpkg-buildflags --get $(flags) | sed 's:/:\\/:g')//") \
+	sed -i $(foreach flags,CFLAGS CXXFLAGS CPPFLAGS FCFLAGS LDFLAGS,-e "/'$(shell echo $(flags) | tr A-Z a-z)':/s/$(shell dpkg-buildflags --get $(flags) | sed 's:/:\\/:g;s/^$$/^/')//") \
 	  debian/tmp/usr/lib/python*/dist-packages/code_saturne/cs_config.py
 
 override_dh_auto_install-indep: override_dh_auto_install-arch
