## code-saturne 6.0.0

=== debian/changelog ===
code-saturne (6.0.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Gilles Filippini <pini@debian.org>  Thu, 17 Oct 2019 20:45:00 +0200

code-saturne (6.0.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * No more need to repack upstream tarball
  * Drop patch gcc-9.patch (fixed upstream)
  * Refresh patch pyrcc.patch
  * New patch format-nonliteral.patch to fix a -Wformat-nonliteral error

 -- Gilles Filippini <pini@debian.org>  Tue, 15 Oct 2019 22:42:50 +0200

code-saturne (5.3.3+repack-5) unstable; urgency=medium

  * Remove internal doxygen files from code-saturne-doc
  * Fix dependency on python3-pyqt5 and python3

 -- Gilles Filippini <pini@debian.org>  Mon, 26 Aug 2019 22:15:42 +0200

code-saturne (5.3.3+repack-4) unstable; urgency=medium

  * Generate the PyQt5 resources with QT_HASH_SEED=0 for reproducibility

 -- Gilles Filippini <pini@debian.org>  Sat, 24 Aug 2019 01:16:35 +0200

code-saturne (5.3.3+repack-3) unstable; urgency=medium

  * Build against python3 and qt5 (closes: #935342)

 -- Gilles Filippini <pini@debian.org>  Thu, 22 Aug 2019 19:16:10 +0200
