## code-saturne 6.0.1

=== debian/changelog ===
code-saturne (6.0.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch format-nonliteral.patch

 -- Gilles Filippini <pini@debian.org>  Wed, 25 Dec 2019 17:44:10 +0100
