=== libple/examples/Makefile ===
CC = mpicc
CPPFLAGS  = -I$(ple_srcdir)/src -I$(ple_build_dir)
CFLAGS  = -O2 -g -Wall
LDFLAGS = 

compile: my_ple_mesh.o my_ple_point_location.o

clean :
	rm *.o
