=== debian/changelog ===
code-saturne (6.0.2-2build1) groovy; urgency=medium

  * No-change rebuild against libhdf5-103-1

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 13 May 2020 17:46:36 +0000

code-saturne (6.0.2-2) unstable; urgency=medium

  * Fix FTBFS with GCC-10 (closes: #957095)
  * Patch gcc-10.patch from upstream
  * Fix cspath in /usr/bin/code_saturne
  * Drop build dependency on libxml2-dev

 -- Gilles Filippini <pini@debian.org>  Thu, 09 Apr 2020 19:26:56 +0200

code-saturne (6.0.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patch format-nonliteral.patch (fixed upstream)

 -- Gilles Filippini <pini@debian.org>  Mon, 10 Feb 2020 23:57:49 +0100
