=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gilles Filippini <pini@debian.org>
-Build-Depends: debhelper (>= 11), dh-exec, dh-python, python-qt4,
- pyqt4-dev-tools, fig2ps, gfortran, autoconf,
- texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra,
+Build-Depends: debhelper (>= 11), dh-exec, dh-python, python3-pyqt5,
+ pyqt5-dev-tools, gfortran, autoconf,
 # To build from upstream SVN source
-  bison, flex, doxygen, graphviz,
+  bison, flex,
 # To help the configure detection on cs lib
   zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.3.0~), mpi-default-dev, libmedc-dev,
-  libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
-  python, libscotch-dev, tango-icon-theme
+  libblas-dev | libatlas-dev, libopenmpi-dev,
+  python3, libscotch-dev, tango-icon-theme
+Build-Depends-Indep: doxygen, graphviz, fig2ps, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
 Standards-Version: 4.3.0
 Homepage: http://www.code-saturne.org/
 Vcs-Git: https://salsa.debian.org/science-team/code-saturne.git
@@ -23,7 +23,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
  code-saturne-bin (= ${binary:Version}),
  code-saturne-data (= ${source:Version}),
- code-saturne-include (= ${binary:Version}), python-qt4
+ code-saturne-include (= ${binary:Version}), python3-pyqt5
 Recommends: bash-completion, paraview, pdf-viewer, code-saturne-doc
 Suggests: syrthes
 Description: General purpose Computational Fluid Dynamics (CFD) software
@@ -47,7 +47,7 @@
 Package: code-saturne-bin
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python,
+Depends: ${shlibs:Depends}, ${misc:Depends}, python3,
  libxml2-dev, libblas-dev
 Recommends: code-saturne
 Description: General purpose Computational Fluid Dynamics (CFD) software - binaries
@@ -72,7 +72,7 @@
 Package: code-saturne-data
 Priority: optional
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Recommends: code-saturne
 Description: General purpose Computational Fluid Dynamics (CFD) software - data
  The basic capabilities of Code_Saturne enable the handling of either
@@ -96,7 +96,7 @@
 Package: code-saturne-include
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libcgns-dev, libmedc-dev,
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libcgns-dev, libmedc-dev,
  libhdf5-dev, zlib1g-dev, mpi-default-dev, libxml2-dev
 Replaces: code-saturne-data (<< 3.3.2-3)
 Breaks: code-saturne-data (<< 3.3.2-3)
