=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack\d*$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%code_saturne-$1.tar.gz%" \
             https://github.com/code-saturne/code_saturne/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
