=== debian/changelog ===
code-saturne (7.0.2+repack-1~exp1) experimental; urgency=medium

  * New upstream release
  * Drop python3.patch (fixed upstream)
  * Drop pyrcc.patch (trick handled in d/rules instead)
  * Bump libhdf5-mpi-dev versioned build dependency

 -- Gilles Filippini <pini@debian.org>  Mon, 15 Nov 2021 00:42:15 +0100

code-saturne (6.3.0+repack-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Gilles Filippini <pini@debian.org>  Sat, 02 Jan 2021 20:04:18 +0100

code-saturne (6.2.0+repack-1~exp1) experimental; urgency=medium

  * New upstream release
  * Refresh patches

 -- Gilles Filippini <pini@debian.org>  Mon, 31 Aug 2020 21:46:40 +0200

code-saturne (6.1.1+repack-1~exp2) experimental; urgency=medium

  * Generate pdf files during build-indep

 -- Gilles Filippini <pini@debian.org>  Wed, 01 Jul 2020 10:25:40 +0200

code-saturne (6.1.1+repack-1~exp1) experimental; urgency=medium

  * New upstream release
  * Repack upstream source tarball because it includes generated pdf files
  * Generate these pdf files at build time

 -- Gilles Filippini <pini@debian.org>  Sun, 28 Jun 2020 21:09:41 +0200

code-saturne (6.1.0-1~exp2) experimental; urgency=medium

  * Fix FTBFS when building twice in a row (closes: #959717)

 -- Gilles Filippini <pini@debian.org>  Wed, 06 May 2020 13:09:58 +0200

code-saturne (6.1.0-1~exp1) experimental; urgency=medium

  * New intermediate upstream release
  * Update d/copyright
  * Drop patch gcc-10.patch, fixed upstream
  * New patch python3.patch to fix a python shabang

 -- Gilles Filippini <pini@debian.org>  Mon, 27 Apr 2020 17:39:04 +0200
