=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # To build from upstream SVN source
   bison, flex,
 # To help the configure detection on cs lib
-  zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.3.0~), mpi-default-dev, libmedc-dev,
+  zlib1g-dev, libhdf5-mpi-dev (>= 1.10.0~), libcgns-dev (>= 3.3.0~), mpi-default-dev, libmedc-dev,
   libblas-dev | libatlas-dev, libopenmpi-dev,
   python3, libscotch-dev, tango-icon-theme
 Build-Depends-Indep: doxygen, graphviz, fig2ps, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
